BEGIN{
  if(first~/alpha/){
    gsub("alpha","",first);
    onlyalpha=1;
  } else {
    onlyalpha=0;
  }
  if(first~/layers/){
    gsub("layers","",first);
    onlylayers=1;
  } else {
    onlylayers=0;
  }
  if(first~/kikosq/){
    gsub("kikosq","",first);
    onlykikosq=1;
  } else {
    onlykikosq=0;
  }
  sftpfilein="frontcomm-original.sftp";
  if(scoresonly==1){
    sftpfile="frontcommns.sftp";
  }else if(scoresonly==2){
    sftpfile="frontcommn.sftp";
  }else{
    sftpfile="frontcomm.sftp";
  }
  while( getline < sftpfilein > 0){
    sftp[++n]=$0
  }
  close(sftpfilein);
  for(i=1;i<=n;i++){
   if((sftp[i]!~/^put/)||!scoresonly||(sftp[i]~/Nuty/)||(sftp[i]~/spiewnik/)||(scoresonly==2&&sftp[i]~/liturg/)){
    if(sftp[i]~/@/)break;
#    print("#could be: "sftp[i]) > sftpfile
    if((sftp[i]!~/[.]pdf/)||alpha!~/alpha/||sftp[i]~/-alpha/){print(sftp[i]) > sftpfile}
   }
  }
  print("$normalwinstyle=[Environment]::GetEnvironmentVariable('normalwinstyle')\nif($normalwinstyle -and $normalwinstyle -eq 1){$winstyle=\"Normal\"}else{$winstyle=\"Minimized\"}\n$sleeptime=25\n.\\no-of-personals.ps1") > "compile-all-personals.ps1"
  print("$normalwinstyle=[Environment]::GetEnvironmentVariable('normalwinstyle')\nif($normalwinstyle -and $normalwinstyle -eq 1){$winstyle=\"Normal\"}else{$winstyle=\"Minimized\"}\n.\\no-of-personals.ps1") > "optimise-all-personals.ps1"
}
/\\PersonName/{
 todo=1;
 if(alpha=="alpha"){
  todo=0;
  if(index($0,"}[")){
   split($0,a,"[");
   split(a[2],b,"]");
   if(b[1]~"alpha"){
    todo=1;
   }
  }
 }
 if(todo){
   spacestring="";
   if(first=="all"){firstch=10}else if(first==""){firstch=1}else{firstch=first*1};
   for(iii=1;iii<=firstch;iii++)spacestring=spacestring" ";
   if(first=="all"||(substr($0,1,firstch)!=spacestring)){
     personals++;
     split($0,a,"}{");
     split(a[1],b,"{");
     split($0,all,"%");
     x=split(all[1],aa,"\\[");
     option="";
     booklet=1;
     thisisalpha=0
     thisislayers=0
     thisiskikosq=0
     if(x>1){
       split(aa[2],aaa,"\\]");
       nn=split(aaa[1],oo,",");
       for(ii=1;ii<=nn;ii++){
         if(oo[ii]=="alpha"){thisisalpha=1}
         if(oo[ii]=="layers"){thisislayers=1}
         if(oo[ii]=="kikosq"){thisiskikosq=1}
         if(oo[ii]=="kikosq"){
           option="kikosq";
           booklet=0;
         } else if(oo[ii]=="tab34"){
           option="tab34";
           booklet=0;
         } else if(oo[ii]=="kikosq"){
           option="-layers"
           booklet=0;
         }
       }
     }
     if(onlyalpha)todo=todo&&thisisalpha;
     if(onlylayers)todo=todo&&thisislayers;
     if(onlykikosq)todo=todo&&thisiskikosq;
     if(thisisalpha||thisislayers){
       bookmarktag="b"
     } else {
       bookmarktag=""
     }
     if(todo){ 
       printf("$host.ui.RawUI.WindowTitle = \"Personal %d: %s\"\n",++personal,b[2]) > "compile-all-personals.ps1"
       printf("echo \"Startujemy trzyprzebiegowa kompilacje Spiewnika i ewentualnie broszur dla %s\"\nstart powershell -WindowStyle $winstyle \".\\compile3passuni.ps1 '%s' '@' '%s' '%d'\"\nsleep $sleeptime\necho \"Wystartowana trzyprzebiegowa kompilacje Spiewnika i ewentualnie broszur dla %s\"\n",b[2],(length(option)>0?bookmarktag"x"option:bookmarktag),b[2],personal,b[2]) > "compile-all-personals.ps1"
 
       printf("$host.ui.RawUI.WindowTitle = \"Personal %d: %s\"\n",personal,b[2]) > "optimise-all-personals.ps1"
 
       printf("echo \"Optymalizacja personalna %d: %s\"\n",personal,b[2]) > "optimise-all-personals.ps1";
 
       printf("start -wait -WindowStyle $winstyle powershell \"-Mta .\\autohotkey.ps1 SP@%s.pdf\"\n",b[2]) > "optimise-all-personals.ps1";
 
       if(booklet)printf("start -wait -WindowStyle $winstyle powershell \"-Mta .\\autohotkey.ps1 broszury@%s.pdf\"\n",b[2]) > "optimise-all-personals.ps1";
 
       printf("put SP@%s.pdf\n",b[2]) > sftpfile;
#      if(option!~/kikosq/&&option!~/tab34/&&option!~/mono/){
#       if(option!~/kikosq/&&option!~/tab34/&&option!~/-layers/){
       if(option!~/kikosq/&&option!~/tab34/){
         printf("put broszury@%s.pdf\n",b[2]) > sftpfile;
       }
     }
   }
 }
}
END{
  print("exit") > "compile-all-personals.ps1"
  print("exit") > "optimise-all-personals.ps1"
  for(i=i;i<=n;i++){
    if(sftp[i]!~/@/)break
  }
  printf("echo \"Number of personal versions is %d\"\n",personals) > "no-of-personals.ps1";
  for(i=i;i<=n;i++){
    print(sftp[i]) > sftpfile;
  }
}