if EXIST %1.mtx (
  del %1.pml
  del %1.pmx
  del %1.mid
  del %1.tex
  del %1.ex
  prepmx %1
  if NOT EXIST %1.pmx (
    echo %DATE% %TIME% NOT CREATED %1.pmx; trying again >> errors.log 
    prepmx %1
    if NOT EXIST %1.pmx (
      echo %DATE% %TIME% NOT CREATED %1.pmx; PERMANENT ERROR >> errors.log
    ) else (
      echo %DATE% %TIME% %1.pmx CREATED SUCCESFULLY in second run >> errors.log
    )
  )
  if EXIST %1.pmx (
  awk "!/w190m/{print}" %1.pmx >%1.pmxcorr
  move %1.pmxcorr %1.pmx
  )
  pmxab %1
  if NOT EXIST %1.tex (
    echo %DATE% %TIME% NOT CREATED %1.tex; trying again >> errors.log
    sleep 5
    pmxab %1
  )
  if NOT EXIST %1.tex (
    echo %DATE% %TIME% NOT CREATED %1.tex; trying again >> errors.log
    sleep 5
    pmxab %1
  )
  if NOT EXIST %1.tex (
    echo %DATE% %TIME% NOT CREATED %1.tex; trying again >> errors.log
    sleep 5
    pmxab %1
  )
  if NOT EXIST %1.tex (
    echo %DATE% %TIME% NOT CREATED %1.tex; trying again >> errors.log
    sleep 5
    pmxab %1
  )
  if NOT EXIST %1.tex (
    echo %DATE% %TIME% NOT CREATED %1.tex; trying again >> errors.log
    sleep 5
    pmxab %1
  )
  if NOT EXIST %1.tex echo %DATE% %TIME% NOT CREATED %1.tex; PERMANENT ERROR >> errors.log 
  awk -vf=%1 "BEGIN{n=f\".mtx\";while(getline < n > 0){if($0 ~ /MIDIFILE/){m=$2;cmd=\"move /y \"f\".mid \"m\".mid\";( cmd | getline result);close(cmd)}}}$0!~/\\eject\\endmuflex/&&$0!~/\\bye/&&$0!~/\\input/&&$0!~/\\nopagenumbers/{gsub(\"\\\\startmuflex\",\"\");gsub(\"\\\\setmaxslurs{24}\\\\setmaxinstruments{24}\",\"\");print $0}/\\input *mtx/{print \"\\def\\mtxmidi{\"m\"}\"}" %1.tex >%1.ex
  if NOT EXIST %1.ex (
    echo %DATE% %TIME% NOT CREATED %1.ex; trying again >> errors.log
  awk -vf=%1 "BEGIN{n=f\".mtx\";while(getline < n > 0){if($0 ~ /MIDIFILE/){m=$2;cmd=\"move /y \"f\".mid \"m\".mid\";( cmd | getline result);close(cmd)}}}$0!~/\\eject\\endmuflex/&&$0!~/\\bye/&&$0!~/\\input/&&$0!~/\\nopagenumbers/{gsub(\"\\\\startmuflex\",\"\");gsub(\"\\\\setmaxslurs{24}\\\\setmaxinstruments{24}\",\"\");print $0}/\\input *mtx/{print \"\\def\\mtxmidi{\"m\"}\"}" %1.tex >%1.ex  )
  if NOT EXIST %1.ex echo %DATE% %TIME% NOT CREATED %1.ex; PERMANENT ERROR >> errors.log 
)
if EXIST %1.mtx (
  del %1.pml
  del %1.pmx
  del %1.tex
)
if EXIST %1.pdf (
  del %1.pdf
)
rem luatex %1.tex
rem musixflx.exe %1.mx1
rem luatex %1.tex
rem start %1.pdf